Loading...
Searching...
No Matches
Ogre::OverlayProfileSessionListener Class Reference
Optional Components » Overlay

Concrete impl. More...

`#include <OgreOverlayProfileSessionListener.h>`

Inheritance diagram for Ogre::OverlayProfileSessionListener:
[legend]

## Public Types

enum | DisplayMode { DISPLAY_PERCENTAGE , DISPLAY_MILLISECONDS }

## Public Member Functions

| OverlayProfileSessionListener ()
virtual | ~OverlayProfileSessionListener ()
void | changeEnableState (bool enabled) override
void | displayResults (const ProfileInstance &instance, ulong maxTotalFrameTime) override
void | finializeSession () override
DisplayMode | getDisplayMode () const
| Get the display mode for the overlay.
Real | getOverlayHeight () const
Real | getOverlayLeft () const
Real | getOverlayTop () const
Real | getOverlayWidth () const
void | initializeSession () override
void | setDisplayMode (DisplayMode d)
| Set the display mode for the overlay.
void | setOverlayDimensions (Real width, Real height)
| Set the size of the profiler overlay, in pixels.
void | setOverlayPosition (Real left, Real top)
| Set the position of the profiler overlay, in pixels.
Public Member Functions inherited from Ogre::ProfileSessionListener
virtual | ~ProfileSessionListener ()

## Detailed Description

Concrete impl.

of the ProfileSessionListener which visualizes the profling results using overlays.

The documentation for this class was generated from the following file:

- OgreOverlayProfileSessionListener.h